System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本

版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/chengonghao/article/details/44781069

        同学的电脑连接实验室的服务器时出现“System.Data.OracleClient 需要 Oracle 客户端软件 version 8.1.7 或更高版本”,而我自己的电脑可以轻松连接服务器的数据库。首先,实验室用的是Oracle 12c(非插拔式数据库),操作系统是Windows server 2012,开发平台是vs2013。此问题要分为两步解决。

1、服务器端添加权限

       服务器端oracle文件的权限不够。找到oracle12c的安装目录,我的是D:\app,右键-->属性-->安全-->编辑,打开“app的权限”对话框。添加-->高级-->立即查找,给aap文件夹添加Authenticated UsersNETWORK SERVICE并设置Authenticated UsersNETWORK SERVICE完全控制

       重启电脑。

2、客户端

      客户端安装Oracle11g客户端精简版(这是在csdn上找到的免费资源,谢谢这个网友,地址:http://download.csdn.net/download/eisjmo/4362471)。

3、重新打开vs2013,再打开项目,运行,即可远程连上数据库。

展开阅读全文

没有更多推荐了,返回首页